<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{488D3FA9-72E3-47EF-BDDC-38EA42F38974}</ProjectGuid>
    <AppName>rebarSDKExample</AppName>
    <RootNamespace>rebarSDKExample</RootNamespace>
    <Keyword>MFCProj</Keyword>
    <WindowsTargetPlatformVersion>8.1</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v141</PlatformToolset>
    <UseOfMfc>Dynamic</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v141</PlatformToolset>
    <UseOfMfc>Dynamic</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC71.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>12.0.30501.0</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <IntDir>$([System.IO.Path]::GetFullPath('$(RebarSDKExample_IntDir)'))</IntDir>
    <OutDir>$([System.IO.Path]::GetFullPath('$(RebarSDKExample_OutDir)'))</OutDir>
    <LinkDelaySign>false</LinkDelaySign>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <IntDir>$([System.IO.Path]::GetFullPath('$(RebarSDKExample_IntDir)'))</IntDir>
    <OutDir>$([System.IO.Path]::GetFullPath('$(RebarSDKExample_OutDir)'))</OutDir>
    <LinkIncremental>true</LinkIncremental>
    <LinkDelaySign>false</LinkDelaySign>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TypeLibraryName>rebarSDKExample.tlb</TypeLibraryName>
      <HeaderFileName>
      </HeaderFileName>
    </Midl>
    <ClCompile>
      <AdditionalOptions>/Zm512 /bigobj</AdditionalOptions>
      <Optimization>Full</Optimization>
      <InlineFunctionExpansion>Default</InlineFunctionExpansion>
      <AdditionalIncludeDirectories>..\example\english;$(RebarSDKExample_INCLUDE)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_AFXDLL;USTN_TYPEDEFS;USING_LICCLIENT_10;winNT;_REBARMA_DLL;SELECT_DLL;BE_MEMCONTROL;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeaderFile>_ustation.h</PrecompiledHeaderFile>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)</ObjectFileName>
      <ProgramDataBaseFileName>$(OutDir)$(TargetName).pdb</ProgramDataBaseFileName>
      <WarningLevel>Level3</WarningLevel>
      <TreatWarningAsError>true</TreatWarningAsError>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
      <TreatWarningAsError>true</TreatWarningAsError>
      <PrecompiledHeaderOutputFile>$(IntDir)$(TargetName).pch</PrecompiledHeaderOutputFile>
      <PrecompiledHeader>Use</PrecompiledHeader>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>rebar.lib;rebarma.lib;delayimp.lib;mfcs140u.lib;RPCRT4.lib;ole32.lib;Bentley.lib;BentleyAllocator.lib;BentleyGeom.lib;BentleyGeomSerialization.lib;ECObjects.lib;DgnPlatform.lib;mdlbltin.lib;rmgrtools.lib;mdlxmltools.lib;DgnView.lib;splindlm.lib;mstntoolsubs.lib;mspsolid.lib;VisEdgesLib.lib;Advapi32.lib;nativewindow.lib;nativewinmfc.lib;Shlwapi.lib;kernel32.lib</AdditionalDependencies>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>$(RebarSDKExample_LIBS);$(SDKLIB)Rebar</AdditionalLibraryDirectories>
      <ModuleDefinitionFile>
      </ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(TargetName).pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <ImportLibrary>$(IntDir)$(TargetName).lib</ImportLibrary>
    </Link>
    <Bscmake>
      <OutputFile>$(IntDir)$(ProjectName).bsc</OutputFile>
      <SuppressStartupBanner>false</SuppressStartupBanner>
      <PreserveSbr>true</PreserveSbr>
    </Bscmake>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Midl>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TypeLibraryName>rebarSDKExample.tlb</TypeLibraryName>
      <HeaderFileName>
      </HeaderFileName>
    </Midl>
    <ClCompile>
      <AdditionalOptions>/Zm512 /bigobj</AdditionalOptions>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\example\english;$(RebarSDKExample_INCLUDE)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_AFXDLL;USTN_TYPEDEFS;USING_LICCLIENT_10;winNT;_REBARMA_DLL;SELECT_DLL;BE_MEMCONTROL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeaderFile>_ustation.h</PrecompiledHeaderFile>
      <AssemblerListingLocation>$(IntDir)</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)</ObjectFileName>
      <ProgramDataBaseFileName>$(OutDir)$(TargetName).pdb</ProgramDataBaseFileName>
      <BrowseInformation>true</BrowseInformation>
      <WarningLevel>Level3</WarningLevel>
      <TreatWarningAsError>true</TreatWarningAsError>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <TreatWarningAsError>true</TreatWarningAsError>
      <PrecompiledHeaderOutputFile>$(IntDir)$(TargetName).pch</PrecompiledHeaderOutputFile>
      <PrecompiledHeader>Use</PrecompiledHeader>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>rebar.lib;rebarma.lib;delayimp.lib;mfcs140u.lib;RPCRT4.lib;ole32.lib;Bentley.lib;BentleyAllocator.lib;BentleyGeom.lib;BentleyGeomSerialization.lib;ECObjects.lib;DgnPlatform.lib;mdlbltin.lib;rmgrtools.lib;mdlxmltools.lib;DgnView.lib;splindlm.lib;mstntoolsubs.lib;mspsolid.lib;VisEdgesLib.lib;Advapi32.lib;nativewindow.lib;nativewinmfc.lib;Shlwapi.lib;kernel32.lib</AdditionalDependencies>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>$(RebarSDKExample_LIBS);$(SDKLIB)Rebar</AdditionalLibraryDirectories>
      <ModuleDefinitionFile>
      </ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(TargetName).pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>$(IntDir)$(TargetName).lib</ImportLibrary>
    </Link>
    <Bscmake>
      <OutputFile>$(IntDir)$(ProjectName).bsc</OutputFile>
      <SuppressStartupBanner>false</SuppressStartupBanner>
      <PreserveSbr>true</PreserveSbr>
    </Bscmake>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="rebarSDKExample.cpp" />
    <ClCompile Include="rebarSDKGenericXml.cpp" />
    <ClCompile Include="RebarSDKPierVase.cpp" />
    <ClCompile Include="rebarSDK_2d.cpp" />
    <ClCompile Include="rebarSDK_KRB.cpp" />
    <ClCompile Include="rebarSDK_PierVase.cpp" />
    <ClCompile Include="_ustation.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="$(PS_SDK)include\Rebar\ANYARRAY.H" />
    <ClInclude Include="$(PS_SDK)include\Rebar\AnyPtr.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\AssertObj.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BARDEF.H" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeArchive.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeBaseName.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeByteArray.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeDefiner.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeFastArray.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeIndirectArray.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeMatrix.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeMutableArray.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeRelation.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeStream.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeStreamIO.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeTempSetting.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeTypeArray.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\BeXMLNode.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\Bstream.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\DbToolsExport.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\Errors.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\flag.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\GeomToolsExport.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\GRAFTYPE.H" />
    <ClInclude Include="$(PS_SDK)include\Rebar\INTARRAY.H" />
    <ClInclude Include="$(PS_SDK)include\Rebar\KeyArray.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\MATHS.H" />
    <ClInclude Include="$(PS_SDK)include\Rebar\Matrix3D.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\memcheck.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\NewPtrArray.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\Plane3D.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\Point3D.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\PointVect.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\RebarCatalog.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\RebarCommonData.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\RebarDetailElement.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\RebarElements.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\RebarExtendedElement.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\RebarLinkage.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\RegionCurve.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\SelectionRebar.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\SharpPtr.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\str.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\strarray.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\Vector3D.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\_maxdefs.h" />
    <ClInclude Include="$(PS_SDK)include\Rebar\_SEGMENT.H" />
    <ClInclude Include="$(PS_SDK)include\Rebar\_utypes.h" />
    <ClInclude Include="dialogs.h" />
    <ClInclude Include="english\dialogstxt.h" />
    <ClInclude Include="rebarSDKExample.h" />
    <ClInclude Include="RebarSDKExampleids.h" />
    <ClInclude Include="rebarSDK_2d.h" />
    <ClInclude Include="rebarSDK_KBR.h" />
    <ClInclude Include="rebarSDK_PierVase.h" />
    <ClInclude Include="_USTATION.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="dialogs.r" />
    <None Include="english\RebarSDKExamplemsg.r" />
    <None Include="RebarSDK.mke" />
    <None Include="RebarSDKExamplecmd.r" />
  </ItemGroup>
  <ItemGroup>
    <Xml Include="RebarSDKARMA.xml" />
    <Xml Include="rebarSDK_PierVase.xml">
      <SubType>Designer</SubType>
    </Xml>
  </ItemGroup>
  <ItemGroup>
    <Natvis Include="DebugFormat.natvis" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
  <ProjectExtensions>
    <VisualStudio>
    </VisualStudio>
  </ProjectExtensions>
</Project>